2019-01-22 02:57 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002221NetSurfRISC OS-specificpublic2015-03-10 23:43
ReporterBrian Jordan 
Assigned ToVincent Sanders 
SeveritycrashReproducibilityalways 
StatusclosedResolutionfixed 
PlatformRISC OSOSRISC OSOS Version6.20
Product Version3.3 
Target VersionFixed in Version3.3 
Summary0002221: Attempting to open lists in forms crashes machine
DescriptionIn NetSurf 3.3 (Dev CI 0002327) the form at www.wodql.org.uk/submit.htm no longer works correctly. When selecting the lists at "Match date", "Home team" and "Away team" the expected lists fail to appear and the whole machine freezes. My most recent previous version is (Dev CI 0002301) where the form works as expected. This seems to be universal as forms (eg "Project") here, on the bug tracker, don't work in the later version.
Steps To ReproduceSee description
TagsNo tags attached.
Fixed in CI build #2335
Reported in CI build #2327
URL of problem pagewww.wodql.org.uk/submit
Attached Files

-Relationships
+Relationships

-Notes
David Pitt

~0000531

David Pitt (reporter)

I have uploaded a log from a Raspberry Pi. The issue was reproducible but on the Pi an alt-break stopped NetSurf without crashing the whole machine permitting the log to be retrieved.
Vincent Sanders

~0000532

Vincent Sanders (administrator)

Error when improving RISC OS menu selection code.

Fixed in commit http://git.netsurf-browser.org/netsurf.git/commit/?id=59df200b8359e4c030e1f6f574c58ae04e169594
Vincent Sanders

~0000754

Vincent Sanders (administrator)

Confirmed fixed in 3.3 release
+Notes

-Issue History
Date Modified Username Field Change
2014-11-15 11:05 Brian Jordan New Issue
2014-11-15 12:17 David Pitt File Added: nslog.zip
2014-11-15 12:20 David Pitt Note Added: 0000531
2014-11-15 16:48 Vincent Sanders Fixed in CI build # => 2335
2014-11-15 16:48 Vincent Sanders Note Added: 0000532
2014-11-15 16:48 Vincent Sanders Assigned To => Vincent Sanders
2014-11-15 16:48 Vincent Sanders Status new => resolved
2014-11-15 16:48 Vincent Sanders Resolution open => fixed
2014-11-15 16:48 Vincent Sanders Product Version => 3.3
2014-11-15 16:48 Vincent Sanders Fixed in Version => 3.3
2015-03-10 23:43 Vincent Sanders Note Added: 0000754
2015-03-10 23:43 Vincent Sanders Status resolved => closed
+Issue History